Name: p7zip-natspec
Version: 17.05
Release: 4%{?dist}
Summary: Command-line file archiver with high compression ratio, based on libnatspec patch from Ubuntu zip-i18n PPA (https://launchpad.net/~frol/+archive/zip-i18n)
License: custom
URL: https://github.com/p7zip-project/p7zip
Source0: p7zip-%{version}.tar.gz
Patch0: do-not-gzip-man-pages.patch
Patch1: natspec.patch
BuildRequires: gcc patch patchelf gcc-c++ libnatspec
Requires: libnatspec
Provides: p7zip = %{version}-%{release} p7zip-plugins = %{version}-%{release}
Obsoletes: p7zip < %{version}-%{release} p7zip-plugins < %{version}-%{release}
BuildArch: x86_64

%description
Command-line file archiver with high compression ratio, based on libnatspec patch from Ubuntu zip-i18n PPA (https://launchpad.net/~frol/+archive/zip-i18n).

%prep
%setup -q -n p7zip-%{version}

%patch -P 0 -p1
%patch -P 1 -p1

%global _enable_debug_package 0
%global debug_package %{nil}

%build
make OPTFLAGS="$CPPFLAGS $CFLAGS" all3

%install
make install \
    DEST_DIR=%{buildroot} \
    DEST_HOME=/usr \
    DEST_MAN=/usr/share/man

rm -r %{buildroot}/usr/share/doc/p7zip/DOC/MANUAL/fm

%files
%defattr(-,root,root,-)
%{_bindir}/7z
%{_bindir}/7za
%{_bindir}/7zr
%{_prefix}/lib/p7zip/7z
%{_prefix}/lib/p7zip/7z.so
%{_prefix}/lib/p7zip/7za
%{_prefix}/lib/p7zip/7zr
%{_prefix}/lib/p7zip/7zCon.sfx
%{_prefix}/lib/p7zip/Codecs/Rar.so
%{_docdir}/p7zip/README
%{_docdir}/p7zip/ChangeLog
%{_docdir}/p7zip/DOC/7zC.txt
%{_docdir}/p7zip/DOC/7zFormat.txt
%{_docdir}/p7zip/DOC/License.txt
%{_docdir}/p7zip/DOC/MANUAL/7-zip.chm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/add.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/bench.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/delete.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/extract.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/extract_full.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/hash.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/index.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/list.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/rename.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/style.css
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/test.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/commands/update.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/exit_codes.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/index.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/style.css
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/ar_exclude.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/ar_include.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/ar_no.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/bb.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/bs.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/charset.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/exclude.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/include.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/index.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/large_pages.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/list_tech.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/method.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/output_dir.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/overwrite.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/password.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/recurse.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/sa.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/scc.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/scrc.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/sdel.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/sfx.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/shared.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/sni.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/sns.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/spf.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/ssc.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/stdin.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/stdout.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/stl.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/stop_switch.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/stx.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/style.css
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/type.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/update.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/volume.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/working_dir.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/switches/yes.htm
%{_docdir}/p7zip/DOC/MANUAL/cmdline/syntax.htm
%{_docdir}/p7zip/DOC/MANUAL/general/7z.htm
%{_docdir}/p7zip/DOC/MANUAL/general/faq.htm
%{_docdir}/p7zip/DOC/MANUAL/general/formats.htm
%{_docdir}/p7zip/DOC/MANUAL/general/index.htm
%{_docdir}/p7zip/DOC/MANUAL/general/license.htm
%{_docdir}/p7zip/DOC/MANUAL/general/performance.htm
%{_docdir}/p7zip/DOC/MANUAL/general/style.css
%{_docdir}/p7zip/DOC/MANUAL/general/thanks.htm
%{_docdir}/p7zip/DOC/MANUAL/start.htm
%{_docdir}/p7zip/DOC/MANUAL/style.css
%{_docdir}/p7zip/DOC/Methods.txt
%{_docdir}/p7zip/DOC/Struct.EAP
%{_docdir}/p7zip/DOC/Struct.ldb
%{_docdir}/p7zip/DOC/copying.txt
%{_docdir}/p7zip/DOC/lzma.txt
%{_docdir}/p7zip/DOC/readme.txt
%{_docdir}/p7zip/DOC/src-history.txt
%{_docdir}/p7zip/DOC/unRarLicense.txt
%{_mandir}/man1/7z.1.gz
%{_mandir}/man1/7za.1.gz
%{_mandir}/man1/7zr.1.gz

%changelog
